# DataExchange
TKIGES
IGESAppli

# IGESAppli_HArray1OfNode Class Reference

`#include <IGESAppli_HArray1OfNode.hxx>`

## Public Member Functions

Standard_EXPORT | IGESAppli_HArray1OfNode (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESAppli_HArray1OfNode (const Standard_Integer Low, const Standard_Integer Up, const Handle(IGESAppli_Node)&V)
Standard_EXPORT void | Init (const Handle(IGESAppli_Node)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESAppli_Node)&Value)
const Handle_IGESAppli_Node & | Value (const Standard_Integer Index) const
Handle_IGESAppli_Node & | ChangeValue (const Standard_Integer Index)
const IGESAppli_Array1OfNode & | Array1 () const
IGESAppli_Array1OfNode & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESAppli_Array1OfNode | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_HArray1OfNode::IGESAppli_HArray1OfNode | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESAppli_HArray1OfNode::IGESAppli_HArray1OfNode | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(IGESAppli_Node)& | V
| ) |

## Member Function Documentation

const IGESAppli_Array1OfNode& IGESAppli_HArray1OfNode::Array1 | ( |  | ) | const

IGESAppli_Array1OfNode& IGESAppli_HArray1OfNode::ChangeArray1 | ( |  | ) |

Handle_IGESAppli_Node& IGESAppli_HArray1OfNode::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const IGESAppli_HArray1OfNode::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESAppli_HArray1OfNode::Init | ( | const Handle(IGESAppli_Node)& | V | ) |

Standard_Integer IGESAppli_HArray1OfNode::Length | ( |  | ) | const

Standard_Integer IGESAppli_HArray1OfNode::Lower | ( |  | ) | const

void IGESAppli_HArray1OfNode::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESAppli_Node)& | Value
| ) |

Standard_Integer IGESAppli_HArray1OfNode::Upper | ( |  | ) | const

const Handle_IGESAppli_Node& IGESAppli_HArray1OfNode::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

IGESAppli_Array1OfNode IGESAppli_HArray1OfNode::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_HArray1OfNode.hxx